.as-container {
    position: relative;
    flex: 1;

    &:focus {
        .as-control-container {
            border-color: rgba(var(--prim-rgb), 0.9);
        }
    }

    .as-control-container {
        position: relative;
        display: flex;
        align-items: center;

        outline: 0;
        border-radius: 0.25rem;
        background: var(--form-control-bg);
        border: 1px solid var(--border);
        box-sizing: border-box;
        min-height: 2rem;
        cursor: pointer;

        .dropdown-btn {
            width: 100%;
            text-align: left;
            outline: none;
            color: var(--text-color);
            max-height: 8rem;
            overflow: hidden;

            .dropdown-btn-text {
                padding: 0.5rem;

                .placeholder {
                    color: var(--text-color-dark);
                }
            }
        }

        .dropdown-input {
            padding: 0 0.5rem;
            color: var(--text-color);
            background: transparent;
            text-align: left;
            outline: none;
        }

        .arrow {
            width: 2rem;
            height: 2rem;

            display: flex;
            align-items: center;
            justify-content: center;
            cursor: pointer;

            i {
                color: var(--text-color) !important;
                text-shadow: 0 1px 1px rgba(0, 0, 0, .35);

                &.fa-chevron-down {
                    opacity: 0.6;
                }

                &.fa-chevron-up {
                    opacity: 1;
                }
            }
        }
    }

    .as-dropdown-title {
        padding: 0.5rem 0.75rem;
        margin-bottom: 0.5rem;
        font-weight: 600;
        text-align: center;
        white-space: nowrap;
        border-bottom: 1px solid var(--border);
    }
}

.as-dropdown-container {
    min-width: 150px;

    border-radius: 0.25rem;
    color: var(--text-color);
    background: var(--background-color);
    border: 1px solid var(--border-light);

    box-shadow: rgba(0, 0, 0, 0.2) 0 3px 5px -1px, rgba(0, 0, 0, 0.14) 0px 5px 8px 0px, rgba(0, 0, 0, 0.12) 0px 1px 10px 0px;
    box-sizing: border-box;

    z-index: 20;
    padding: 0.25rem 0;
    margin: 2px 0;

    user-select: none;

    .as-dropdown-filter-cover {
        align-items: center;
        display: flex;
        justify-content: center;
        padding: 0.25rem 0.5rem;
    }
}

.as-dropdown-list {
    max-height: 400px;

    .as-dropdown-item {
        display: flex;
        flex-direction: row;
        flex: 1;
        padding: 0.5rem 0.75rem;
        cursor: pointer;
        user-select: none;
        transition: all .2s;
        overflow: hidden;

        .as-dropdown-icon-cover {
            flex: 1;
        }

        .as-dropdown-item-button {
            flex: 9;
        }

        span {
            display: inline-block;
        }

        &.active {
            background: var(--primary);
        }

        &.keypress-active {
            background: rgba(var(--prim-rgb), 0.6)
        }

        &:hover {
            background: rgba(var(--prim-rgb), 0.5);
        }
    }
}
